# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YouTubeMediaContent

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.media.mediarss.AbstractMediaResource
                  com.google.gdata.data.media.mediarss.MediaContent
                      com.google.gdata.data.youtube.YouTubeMediaContent

All Implemented Interfaces:
  Extension

    public class YouTubeMediaContent

extends MediaContent

Adds an attribute in the yt: namespace to `media:content`. This is really awkward to do in the gdata framework.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.media.mediarss.MediaContent
`MediaContent.Expression`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YouTubeMediaContent()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Subclasses can overwrite this method to parse extra attributes.
`static ExtensionDescription` `getDefaultDescription()` Describes the tag to an `ExtensionProfile`.
`java.lang.Integer` `getYouTubeFormat()` Gets the youtube video format.
`protected void` `putAttributes(AttributeGenerator generator)` Subclasses can overwrite this method to add extra attributes.
`void` `setYouTubeFormat(java.lang.Integer youTubeFormat)` Sets the youtube video format, an opaque format number at this level.

Methods inherited from class com.google.gdata.data.media.mediarss.MediaContent
`getBitrate, getChannels, getDefaultDescription, getDuration, getExpression, getFileSize, getFramerate, getLanguage, getMedium, getSamplingrate, getType, isDefault, setBitrate, setChannels, setDefault, setDuration, setExpression, setFileSize, setFramerate, setLanguage, setMedium, setSamplingrate, setType`

Methods inherited from class com.google.gdata.data.media.mediarss.AbstractMediaResource
`getHeight, getUrl, getWidth, setHeight, setUrl, setWidth`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### YouTubeMediaContent

    public YouTubeMediaContent()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describes the tag to an `ExtensionProfile`.

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to add extra attributes.

  Overrides:
    `putAttributes` in class `MediaContent`
  Parameters:
    `generator` - used to output attributes.

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to parse extra attributes.

  Overrides:
    `consumeAttributes` in class `MediaContent`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### getYouTubeFormat

    public java.lang.Integer getYouTubeFormat()

  Gets the youtube video format.

### setYouTubeFormat

    public void setYouTubeFormat(java.lang.Integer youTubeFormat)

  Sets the youtube video format, an opaque format number at this level.